=== debian/control ===
Source: iceweasel-legacy
Section: web
Priority: optional
Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: autotools-dev,
               debhelper (>= 7.2.3),
               libx11-dev,
               libxt-dev,
               libgtk2.0-dev (>= 2.10),
               libglib2.0-dev (>= 2.16.0),
               libstartup-notification0-dev,
               libgnomevfs2-dev,
               libgnome2-dev,
               libgnomeui-dev,
               libcairo2-dev (>= 1.10.2-1.1~),
               libjpeg-dev,
               zlib1g-dev,
               libbz2-dev,
               libreadline-dev | libreadline5-dev,
               python,
               python-ply,
               dpkg-dev (>= 1.16.1.1~),
               libnspr4-dev (>= 4.8.8),
               libnss3-dev (>= 3.13.1),
               libhunspell-dev (>= 1.2),
               libdbus-glib-1-dev,
               libsqlite3-dev (>= 3.7.12-1~),
               libasound2-dev [linux-any],
               libiw-dev [linux-any],
               libnotify-dev,
               libffi-dev,
               libevent-dev (>= 1.4.1),
               libvpx-dev (>= 1.0.0),
               mesa-common-dev,
               zip,
               unzip,
               locales,
               xvfb,
               xfonts-base,
               xauth,
               ttf-bitstream-vera,
               ttf-freefont,
               fonts-dejima-mincho,
               imagemagick,
               librsvg2-bin,
               xsltproc,
Build-Conflicts: graphicsmagick-imagemagick-compat,
                 liboss4-salsa-dev,
                 libhildonmime-dev,
                 libosso-dev
Standards-Version: 3.9.2.0
Vcs-Git: git://git.debian.org/git/pkg-mozilla/iceweasel.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozilla/iceweasel.git

Package: xulrunner-10.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnspr4-0d (>> 4.7.1-1),
         libnss3-1d (>= 3.13.1),
         libmozjs10d (= ${binary:Version}),
         libcairo2 (>= 1.8.8)
Suggests: ${gnome:Depends}, libgnomeui-0, libcanberra0
Conflicts: j2re1.4,
           pango-graphite (<< 0.9.3)
Description: XUL + XPCOM application runner
 XULRunner is a single "gecko runtime" that can be used to bootstrap
 multiple XUL + XPCOM applications that are as rich as Firefox and
 Thunderbird.
 .
 XUL is Mozilla's XML based User Interface language that lets you build
 feature-rich cross platform applications. These applications are easily
 customized with alternative text, graphics and layout so that they can be
 readily branded or localized for various markets. Web developers already
 familiar with Dynamic HTML (DHTML) will learn XUL quickly and can start
 building applications right away.
 .
 XPCOM is a cross platform component model. It has multiple language
 bindings and IDL descriptions so programmers can plug their custom
 functionality into the framework and connect it with other components.
 .
 This package also contains the Gecko engine library (libxul)
Homepage: http://developer.mozilla.org/en/docs/XULRunner

Package: libmozjs10d
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Mozilla SpiderMonkey JavaScript library
 This library provides the embeddable JavaScript/ECMAScript engine from
 the Mozilla project (used among others by the Iceweasel (Firefox) browser
 as well as by the iPlanet WebServer).
Homepage: http://www.mozilla.org/js/

Package: libmozjs10d-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libmozjs10d (= ${binary:Version}),
         libnspr4-dev
Conflicts: libmozjs-dev
Description: Development files for the Mozilla SpiderMonkey JavaScript library
 This library provides the embeddable JavaScript/ECMAScript engine from
 the Mozilla project (used among others by the Iceweasel (Firefox) browser
 as well as by the iPlanet WebServer).
 .
 Install this package if you wish to develop your own programs using the
 Mozilla SpiderMonkey JavaScript library.
Homepage: http://www.mozilla.org/js/

Package: libmozjs10d-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libmozjs10d (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for the Mozilla SpiderMonkey JavaScript library
 This library provides the embeddable JavaScript/ECMAScript engine from
 the Mozilla project (used among others by the Iceweasel (Firefox) browser
 as well as by the iPlanet WebServer).
 .
 This package provides the debugging symbols for the library and for
 the spidermonkey-bin package.
Homepage: http://www.mozilla.org/js/

Package: xulrunner-10.0-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python-ply,
         xulrunner-10.0 (>= ${binary:Version}),
         libnss3-dev,
         libnspr4-dev,
         libmozjs10d-dev (>= ${binary:Version})
Conflicts: xulrunner-dev
Description: Development files for the Gecko engine library
 This library provides an  API for XUL applications and Gecko embedders.
 The Gecko engine is the core of the mozilla.org applications such as
 Firefox, Thunderbird or SeaMonkey.
 .
 Gecko features include XPCOM, networking, DOM editing and transaction
 support, XBL, XUL, SVG, XSLT, XML Extras (XMLHttpRequest and DOMParser),
 Web Services (SOAP), accessibility support, IPC services, gtkmozembed, etc.
 .
 Install this package if you wish to embed the Gecko engine in your
 program or want to develop XPCOM components.
 .
 This package also provides the Xulrunner Software Development Kit in the
 same form as the one you may find on mozilla.org in /usr/lib/xulrunner/sdk.
Homepage: http://wiki.mozilla.org/XUL:Lib_XUL

Package: xulrunner-10.0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: xulrunner-10.0 (= ${binary:Version}),
         libmozjs10d-dbg (= ${binary:Version}),
         libnss3-dbg | libnss3-1d-dbg,
         libnspr4-dbg | libnspr4-0d-dbg,
         ${misc:Depends}
Description: Debugging symbols for the Gecko engine library
 This library provides an  API for XUL applications and Gecko embedders.
 The Gecko engine is the core of the mozilla.org applications such as
 Firefox, Thunderbird or SeaMonkey.
 .
 Gecko features include XPCOM, networking, DOM editing and transaction
 support, XBL, XUL, SVG, XSLT, XML Extras (XMLHttpRequest and DOMParser),
 Web Services (SOAP), accessibility support, IPC services, gtkmozembed, etc.
 .
 This package provides the debugging symbols for the xulrunner-10.0
 package.
Homepage: http://wiki.mozilla.org/XUL:Lib_XUL
